Bug 977803 - py: ctrl-c not throwing KeyboardInterrupt under specific circumstances.
py: ctrl-c not throwing KeyboardInterrupt under specific circumstances.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: librepo (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mlcoch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 977661
  Show dependency treegraph
 
Reported: 2013-06-25 07:11 EDT by Ales Kozumplik
Modified: 2014-09-30 19:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-17 07:49:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Kozumplik 2013-06-25 07:11:22 EDT
Description of problem:
Have a (large, e.g. the F19) repo synced in ./repodata.

Run the script:

#! /usr/bin/python

import librepo

MIRROR="""https://mirrors.fedoraproject.org/metalink?repo=fedora-19&arch=x86_64"""
DESTDIR="./"

if __name__ == "__main__":
    h = librepo.Handle()
    h.destdir = DESTDIR
    h.interruptible = True
    h.url = DESTDIR
    h.repotype = librepo.LR_YUMREPO
    h.mirrorlist = MIRROR
    h.yumdlist = ["primary", "filelists", "prestodelta", "group_gz"]
    h.local = True
    h.perform(librepo.Result())
    print(h.mirrors)

Press Ctrl-C during h.perform(). No KeyboardInterrupt will be raised. The last statement will print None (this verifies we pressed Ctrl+C in the right moment yet the perform() somehow didn't finish correctly).
Comment 2 Ales Kozumplik 2013-07-03 08:57:31 EDT
Tomas, what librepo version will this be included in?
Comment 3 Tomas Mlcoch 2013-07-04 06:59:43 EDT
librepo-0.0.5

Note You need to log in before you can comment on or make changes to this bug.